import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/s_g_attendance_review_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/s_g_attendance_review_option_entity.g.dart';

@JsonSerializable()
class SGAttendanceReviewOptionEntity {
	@JSONField(name: "source_list")
	List<IndexOptionEntity> sourceList = [];
	@JSONField(name: "outlet_list")
	List<IndexOptionEntity> outletList = [];

	SGAttendanceReviewOptionEntity();

	factory SGAttendanceReviewOptionEntity.fromJson(Map<String, dynamic> json) => $SGAttendanceReviewOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $SGAttendanceReviewOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}
